# 1. Prenumerata: gauti įvykius

Sekti prenumeratas kai `ĮTERPTI`/`PAKEISTI`/`PAŠALINTI` veiksmai įvyksta su „Farma“, „Laukas“, „FieldSatelliteImage“, „RasterAnalysisMap“, „VectorAnalysisMap“ ir kitais subjektai.

Prenumeratos mechanizmas yra pastatytas ant MQTT ir WebSocket. Mūsų rekomendacija pradėti integraciją perskaičius [AWS AppSync prenumeratos straipsnį](https://docs.aws.amazon.com/appsync/latest/devguide/real-time-websocket-client.html).&#x20;

{% hint style="info" %}
Prenumeratos įvykiai siunčiami iš karto, kai įvykis įvyko GeoPard serverinėje dalyje.
{% endhint %}

{% hint style="info" %}
Kiekvienas prenumeratos įvykis turi unikalų identifikatorių pavadintą `uuid`, kuris yra naudingas filtruojant apdorotus ir praleistus įvykius prašytus iš [82. Užklausa: Atkurti prenumeratos įvykius](/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/82.-mutacija-atkurti-prenumeratos-ivykius.md).
{% endhint %}

{% code lineNumbers="true" %}

```graphql
subscription FollowPlatformEvent {
  followPlatformEvent(userUuid: "<placeholder_of_user_uuid>") {
    uuid
    userUuid
    veiksmas
    nodePath {
      objektas
      uuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/1.-prenumerata-gauti-ivykius.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
